import React from 'react';
import './App.css';
import { Navigate, Route, Routes } from 'react-router-dom';
import {LoginPage} from './pages/Login';
import {RegisterPage} from './pages/Register';
import {AppLayout} from './components/Layout';
import { ProfilePage } from './pages/Profile';
import { GreenHouseListPage } from './pages/GreenHouseListPage';
import { ReportPage } from './pages/ReportPage';
import GreenHousePage from './pages/GreenHousePage';
import {GreenHouseStats} from './components/greenhouse/GreenHouseStats';

function App() {
  return (
    <div className="App">
      <Routes>
        <Route path="/" element={<AppLayout />}>
          <Route index element={<Navigate to="/report" />} />
          <Route path="/login" element={<LoginPage />} />
          <Route path="/register" element={<RegisterPage />} />
          <Route path="/profile" element={<ProfilePage />} />
          <Route path="/greenhouses" element={<GreenHouseListPage />} />
          <Route path="/greenhouses/:id" element={<GreenHousePage />} />
          <Route path="/greenhouses/:id/statistics" element={<GreenHouseStats />} />
          <Route path="/report" element={<ReportPage />} />
        </Route>
        
      </Routes>
    </div>
  );
}

export default App;
