import React from 'react';
import { Link } from 'react-router-dom';
import Title from 'antd/es/typography/Title';
import { HomeOutlined, LoginOutlined, ProfileOutlined } from '@ant-design/icons';

export function Header () {
  return (
    <div className="flex items-center justify-between bg-slate-700" style={{ height: '100px'}}>
      <div className="logo">
        <Title level={1} className='text-white' style={{ marginLeft: '20px' }}><Link to="/" style={{ textDecoration: 'none', color: 'white'}}>Cucumber</Link></Title>
      </div>
      <nav className="nav">
        <ul className="flex">
          <li className="mr-4">
            <Link to="/login"><LoginOutlined style={{ fontSize: '24px' }} className="text-white"/></Link>
          </li>
          <li>
            <Link to="/profile"><ProfileOutlined style={{ fontSize: '24px', marginRight: '20px'}} className="text-white"/></Link>
          </li>
          <li>
            <Link to="/greenhouses"><HomeOutlined style={{ fontSize: '24px', marginRight: '20px'}} className="text-white"/> </Link>
          </li>
        </ul>
      </nav>
    </div>
  );
};
