import { Table } from "antd";
import { HistoryData } from "../../core/services/greenhouse-service";

export interface GreenhouseCommandTableProps {
    history: HistoryData[],
    className: string
}

const GreenhouseCommandHistoryTable = (props: GreenhouseCommandTableProps) => {
    const { history, className } = props;
    return (
        <Table columns={[
            { title: 'Действие', dataIndex: 'action' },
            { title: 'Время начала', dataIndex: 'startAt' },
            { title: 'Время конца', dataIndex: 'endAt'}
        ]} dataSource={history} className={className} />
    );
}

export default GreenhouseCommandHistoryTable;