import { GreenhouseInfo } from "../../core/api/data-contracts";

export interface GreehouseDataDisplayProps {
    info: GreenhouseInfo
}

const GreenhouseDataDisplay = (props: GreehouseDataDisplayProps) => {
    const { info } = props;
    return (
        <div className="p-8">
            <h1 className="text-4xl font-bold mb-4">Данные теплицы</h1>
            <div className="bg-white shadow-md rounded-lg p-6">
                <div className="grid grid-cols-1 md:grid-cols-2 gap-4">
                    <div>
                        <h2 className="text-xl font-semibold mb-2">Процент влажности почвы:</h2>
                        <p className="text-lg">{info.percentWater}%</p>
                    </div>
                    <div>
                        <h2 className="text-xl font-semibold mb-2">Температура почвы:</h2>
                        <p className="text-lg">{info.soilTemperature}°C</p>
                    </div>
                    <div>
                        <h2 className="text-xl font-semibold mb-2">Статус вентиля:</h2>
                        <p className="text-lg">
                            {info.pumpStatus ? 'Открыт' : 'Закрыт'}
                        </p>
                    </div>
                    <div>
                        <h2 className="text-xl font-semibold mb-2">Статус нагревателя:</h2>
                        <p className="text-lg">
                            {info.heatingStatus ? 'Включен' : 'Выключен'}
                        </p>
                    </div>
                    <div>
                        <h2 className="text-xl font-semibold mb-2">Статус автополива:</h2>
                        <p className="text-lg">
                            {info.autoWateringStatus ? 'Активирован' : 'Деактивирован'}
                        </p>
                    </div>
                </div>
            </div>
        </div>
    );
}

export default GreenhouseDataDisplay;