/* eslint-disable */
/* tslint:disable */
/*
 * ---------------------------------------------------------------
 * ## THIS FILE WAS GENERATED VIA SWAGGER-TYPESCRIPT-API        ##
 * ##                                                           ##
 * ## AUTHOR: acacode                                           ##
 * ## SOURCE: https://github.com/acacode/swagger-typescript-api ##
 * ---------------------------------------------------------------
 */

import {
  Farm,
  FarmRequest,
  Greenhouse,
  GreenhouseInfo,
  GreenhouseRequest,
  LoginRequest,
  RegisterRequest,
  ValveRequest,
} from "./data-contracts";
import { ContentType, HttpClient, RequestParams } from "./http-client";

export class Api<SecurityDataType = unknown> extends HttpClient<SecurityDataType> {
  /**
   * No description
   *
   * @tags Auth
   * @name AuthRegisterCreate
   * @request POST:/api/Auth/register
   * @secure
   * @response `200` `void` Success
   */
  authRegisterCreate = (data: RegisterRequest, params: RequestParams = {}) =>
    this.request<void, any>({
      path: `/api/Auth/register`,
      method: "POST",
      body: data,
      secure: true,
      type: ContentType.Json,
      ...params,
    });
  /**
   * No description
   *
   * @tags Auth
   * @name AuthLoginCreate
   * @request POST:/api/Auth/login
   * @secure
   * @response `200` `void` Success
   */
  authLoginCreate = (data: LoginRequest, params: RequestParams = {}) =>
    this.request<void, any>({
      path: `/api/Auth/login`,
      method: "POST",
      body: data,
      secure: true,
      type: ContentType.Json,
      ...params,
    });
  /**
   * No description
   *
   * @tags Auth
   * @name AuthUserList
   * @request GET:/api/Auth/user
   * @secure
   * @response `200` `void` Success
   */
  authUserList = (params: RequestParams = {}) =>
    this.request<void, any>({
      path: `/api/Auth/user`,
      method: "GET",
      secure: true,
      ...params,
    });
  /**
   * No description
   *
   * @tags Farm
   * @name UserFarmDetail
   * @request GET:/api/user/{userId}/farm
   * @secure
   * @response `200` `(Farm)[]` Success
   */
  userFarmDetail = (userId: number, params: RequestParams = {}) =>
    this.request<Farm[], any>({
      path: `/api/user/${userId}/farm`,
      method: "GET",
      secure: true,
      format: "json",
      ...params,
    });
  /**
   * No description
   *
   * @tags Farm
   * @name UserFarmCreate
   * @request POST:/api/user/{userId}/farm
   * @secure
   * @response `200` `Farm` Success
   */
  userFarmCreate = (userId: number, data: FarmRequest, params: RequestParams = {}) =>
    this.request<Farm, any>({
      path: `/api/user/${userId}/farm`,
      method: "POST",
      body: data,
      secure: true,
      type: ContentType.Json,
      format: "json",
      ...params,
    });
  /**
   * No description
   *
   * @tags Farm
   * @name UserFarmDetail2
   * @request GET:/api/user/{userId}/farm/{farmId}
   * @originalName userFarmDetail
   * @duplicate
   * @secure
   * @response `200` `Farm` Success
   */
  userFarmDetail2 = (userId: number, farmId: number, params: RequestParams = {}) =>
    this.request<Farm, any>({
      path: `/api/user/${userId}/farm/${farmId}`,
      method: "GET",
      secure: true,
      format: "json",
      ...params,
    });
  /**
   * No description
   *
   * @tags Farm
   * @name UserFarmUpdate
   * @request PUT:/api/user/{userId}/farm/{farmId}
   * @secure
   * @response `200` `Farm` Success
   */
  userFarmUpdate = (userId: number, farmId: number, data: FarmRequest, params: RequestParams = {}) =>
    this.request<Farm, any>({
      path: `/api/user/${userId}/farm/${farmId}`,
      method: "PUT",
      body: data,
      secure: true,
      type: ContentType.Json,
      format: "json",
      ...params,
    });
  /**
   * No description
   *
   * @tags Farm
   * @name UserFarmDelete
   * @request DELETE:/api/user/{userId}/farm/{farmId}
   * @secure
   * @response `200` `void` Success
   */
  userFarmDelete = (userId: number, farmId: number, params: RequestParams = {}) =>
    this.request<void, any>({
      path: `/api/user/${userId}/farm/${farmId}`,
      method: "DELETE",
      secure: true,
      ...params,
    });
  /**
   * No description
   *
   * @tags Greenhouse
   * @name FarmGreenhouseDetail
   * @request GET:/api/farm/{farmId}/greenhouse
   * @secure
   * @response `200` `(GreenhouseInfo)[]` Success
   */
  farmGreenhouseDetail = (farmId: number, params: RequestParams = {}) =>
    this.request<GreenhouseInfo[], any>({
      path: `/api/farm/${farmId}/greenhouse`,
      method: "GET",
      secure: true,
      format: "json",
      ...params,
    });
  /**
   * No description
   *
   * @tags Greenhouse
   * @name FarmGreenhouseCreate
   * @request POST:/api/farm/{farmId}/greenhouse
   * @secure
   * @response `200` `Greenhouse` Success
   */
  farmGreenhouseCreate = (farmId: number, data: GreenhouseRequest, params: RequestParams = {}) =>
    this.request<Greenhouse, any>({
      path: `/api/farm/${farmId}/greenhouse`,
      method: "POST",
      body: data,
      secure: true,
      type: ContentType.Json,
      format: "json",
      ...params,
    });
  /**
   * No description
   *
   * @tags Greenhouse
   * @name FarmGreenhouseDetail2
   * @request GET:/api/farm/{farmId}/greenhouse/{greenhouseId}
   * @originalName farmGreenhouseDetail
   * @duplicate
   * @secure
   * @response `200` `GreenhouseInfo` Success
   */
  farmGreenhouseDetail2 = (farmId: number, greenhouseId: number, params: RequestParams = {}) =>
    this.request<GreenhouseInfo, any>({
      path: `/api/farm/${farmId}/greenhouse/${greenhouseId}`,
      method: "GET",
      secure: true,
      format: "json",
      ...params,
    });
  /**
   * No description
   *
   * @tags Greenhouse
   * @name FarmGreenhouseDelete
   * @request DELETE:/api/farm/{farmId}/greenhouse/{greenhouseId}
   * @secure
   * @response `200` `void` Success
   */
  farmGreenhouseDelete = (farmId: number, greenhouseId: number, params: RequestParams = {}) =>
    this.request<void, any>({
      path: `/api/farm/${farmId}/greenhouse/${greenhouseId}`,
      method: "DELETE",
      secure: true,
      ...params,
    });
  /**
   * No description
   *
   * @tags Greenhouse
   * @name FarmGreenhouseSettingsDetail
   * @request GET:/api/farm/{farmId}/greenhouse/{greenhouseId}/settings
   * @secure
   * @response `200` `Greenhouse` Success
   */
  farmGreenhouseSettingsDetail = (farmId: number, greenhouseId: number, params: RequestParams = {}) =>
    this.request<Greenhouse, any>({
      path: `/api/farm/${farmId}/greenhouse/${greenhouseId}/settings`,
      method: "GET",
      secure: true,
      format: "json",
      ...params,
    });
  /**
   * No description
   *
   * @tags Greenhouse
   * @name FarmGreenhouseSettingsUpdate
   * @request PUT:/api/farm/{farmId}/greenhouse/{greenhouseId}/settings
   * @secure
   * @response `200` `Greenhouse` Success
   */
  farmGreenhouseSettingsUpdate = (
    farmId: number,
    greenhouseId: number,
    data: GreenhouseRequest,
    params: RequestParams = {},
  ) =>
    this.request<Greenhouse, any>({
      path: `/api/farm/${farmId}/greenhouse/${greenhouseId}/settings`,
      method: "PUT",
      body: data,
      secure: true,
      type: ContentType.Json,
      format: "json",
      ...params,
    });
  /**
   * No description
   *
   * @tags Valve
   * @name FarmGreenhouseWateringCreate
   * @request POST:/api/farm/{farmId}/greenhouse/{ghId}/watering
   * @secure
   * @response `200` `void` Success
   */
  farmGreenhouseWateringCreate = (farmId: number, ghId: number, data: ValveRequest, params: RequestParams = {}) =>
    this.request<void, any>({
      path: `/api/farm/${farmId}/greenhouse/${ghId}/watering`,
      method: "POST",
      body: data,
      secure: true,
      type: ContentType.Json,
      ...params,
    });
}
