import { Link, Navigate } from "react-router-dom";
import { Form, Avatar, Button, Input, Typography } from "antd";
import { useId, useState } from "react";
import React from "react";



export function ProfilePage () {
    const token = localStorage.getItem('token');
    const [hidden, setHidden] = useState(true);
    const [name, setName] = useState('Пользователь');
    const [email, setEmail] = useState('user@gmail.com');


    const Title = () => <Typography.Title style={{ fontSize: '42px', fontWeight: 'bold', marginBottom: '40px', marginTop: '20px'}}>Ваш профиль</Typography.Title>;
    
    const StyledText = ({ children }: { children: React.ReactNode }) => <Typography.Text strong style={{ fontSize: '24px', marginBottom: '20px' }}>{children}</Typography.Text>;
    const StyledValue = ({ children }: { children: React.ReactNode }) => <Typography.Text style={{ fontSize: '24px', marginBottom: '20px' }}>{children}</Typography.Text>;

    const User = {
        id: 1,
        name: name,
        email: "user@gmail.com",
        password: "12345",
    }


    function onFinish(name: string, email: string) {
        setName(name);
        setEmail(email);
    }

    function onLogout() {
        localStorage.removeItem('token');
        window.location.href = '/login';
    }

    return (
        <div className="container mx-auto flex" style={{ flexDirection: 'column'}}>
                <Title />
        <div className="container mx-auto flex" style={{ maxWidth: '40%', marginTop: '100px', flexDirection: 'column'}}>
            
            <div className="container mx-auto flex" style={{ flexDirection: 'column', justifyContent: 'left', alignItems: 'flex-start' }}>

                <span style={{ marginLeft: '20px' }}>
                    <StyledText>Почта:</StyledText> 
                    <StyledValue> {User.email}</StyledValue>
                </span>
                <span style={{ marginLeft: '20px' }}>
                    <StyledText>Имя пользователя:</StyledText> 
                    <StyledValue> {User.name}</StyledValue>
                </span>
                <span style={{ marginLeft: '20px' }}>
                    <StyledText>Количество теплиц:</StyledText> 
                    <StyledValue> 2</StyledValue>
                    <Link style={{ marginLeft: '10px', fontSize: '24px', textDecorationLine: 'underline', color: 'blue'}} to="/greenhouses">[Перейти]</Link>
                </span>
                

            </div>

            <div className="container mx-auto flex" style={{ flexDirection: 'row', justifyContent: 'center', marginTop: '20px'}}>
                <Button style={{ marginRight: '10px'}} onClick={() => setHidden(!hidden)}>{hidden ? 'Редактировать' : 'Закончить редактирование'} </Button>
                <Button>Выйти</Button>
            </div>

            <Form style={{ marginTop: '20px', width: '70%' }} layout="vertical" hidden={hidden}>

                <Form.Item style={{ width: '100%', justifySelf: 'end', textAlign: 'right' }} name="name" rules={[{ required: false }]}>
                    Новое имя пользователя: <Input style={{ width: '200px', marginLeft: '10px' }} placeholder={User.name}></Input>
                </Form.Item>

                <Form.Item style={{ width: '100%', justifySelf: 'end', textAlign: 'right' }} name="email" rules={[{ required: false }]}>
                    Новая почта: <Input style={{ width: '200px', marginLeft: '10px' }} placeholder={User.email}></Input>
                </Form.Item>

                <div style={{ textAlign: 'right' }}>
                    <Button htmlType="submit" onClick={() => onFinish(name, email)}>Сохранить изменения</Button>
                </div>

            </Form>
        </div>


            <div style={{ display: 'flex', justifyContent: 'flex-end', marginTop: '20px'}}>
                <Button style={{ width: '160px', backgroundColor: 'red', color: 'white'}} onClick={onLogout}>Выйти из аккаунта</Button>
            </div>
        </div>

    )
}

    function async<T>(file: any, File: { new(fileBits: BlobPart[], fileName: string, options?: FilePropertyBag): File; prototype: File; }, url: any, string: any, arg4: any) {
        throw new Error("Function not implemented.");
    }

    